CoworkerIdentityChecks
Update CoworkerIdentityCheck
Update an existing CoworkerIdentityCheck record.
PUT
Update CoworkerIdentityCheck
Updates an existing CoworkerIdentityCheck record. You must include theDocumentation Index
Fetch the complete documentation index at: https://learn.nexudus.com/llms.txt
Use this file to discover all available pages before exploring further.
Id of the record to update along with all required fields.
Authentication
This endpoint requires OAuth2 authentication. Include a valid bearer token in the
Authorization header.
The authenticated user must be a full unrestricted administrator or have the CoworkerIdentityCheck-Edit role.Enums
eIdentityCheckProvider — IdentityCheckProvider values
eIdentityCheckProvider — IdentityCheckProvider values
| Value | Name |
|---|---|
| 0 | None |
| 1 | Manual |
| 2 | StripeIdentity |
eIdentityCheckDocumentType — IdentityDocumentType values
eIdentityCheckDocumentType — IdentityDocumentType values
| Value | Name |
|---|---|
| 0 | None |
| 1 | Passport |
| 2 | DriversLicense |
| 3 | IdCard |
| 4 | UniformedServiceId |
| 5 | CertificateOfNaturalization |
| 6 | AccessCard |
| 7 | MatriculaConsular |
| 8 | ResidentCard |
| 9 | UniversityId |
| 10 | NEXUSCard |
| 99 | Other |
eAddressCheckDocumentType — AddressDocumentType values
eAddressCheckDocumentType — AddressDocumentType values
| Value | Name |
|---|---|
| 0 | None |
| 1 | Passport |
| 2 | DriversLicense |
| 3 | IdCard |
| 4 | LeaseRentalAgreement |
| 5 | InsurancePolicy |
| 6 | Mortgage |
| 7 | VehicleRegistrationCard |
| 8 | VoterCard |
| 99 | Other |
eIdVerificationType — VerificationType values
eIdVerificationType — VerificationType values
| Value | Name |
|---|---|
| 0 | None |
| 1 | IdDocument |
| 2 | Address |
eIdVerificationStatus — VerificationStatus values
eIdVerificationStatus — VerificationStatus values
| Value | Name |
|---|---|
| 0 | None |
| 1 | Pending |
| 2 | Submitted |
| 3 | Successful |
| 4 | Failed |
| 5 | Cancelled |
Request Body
Required Fields
The Id of the CoworkerIdentityCheck record to update.
ID of the business linked to this record.
ID of the coworker linked to this record.
Display name for this verification check.
How the check is performed: Manual (operator review) or StripeIdentity (Stripe-delegated).
Type of identity document used when VerificationType is IdDocument.
Type of address document used when VerificationType is Address.
Optional Fields
Number or identifier on the identity document.
Authority or organisation that issued the identity document.
Expiration date of the identity document.
Free-text notes or details about this check.
Whether billed is enabled.
ID of the stripe verification session associated with this record.
The identity check provider1 value for this coworker identity check. See
eIdentityCheckProvider? enum above.The verification type1 value for this coworker identity check. See
eIdVerificationType? enum above.The description1 value for this coworker identity check.
The identity check provider2 value for this coworker identity check. See
eIdentityCheckProvider? enum above.The verification type2 value for this coworker identity check. See
eIdVerificationType? enum above.The description2 value for this coworker identity check.
Code Examples
Response
200
HTTP status code.
200 on success.A human-readable message confirming the update.
Contains the
Id of the updated record.true if the coworkeridentitycheck was updated successfully.null on success.Example Response
400
A summary of the validation error(s), in the format
PropertyName: error message.null on validation failure.Array of validation errors.
false when the request fails validation.Example Response
Update CoworkerIdentityCheck